Download it now!
Bug 84553 - Detect and warn of Windows Antivirus in configure ...
Summary: Detect and warn of Windows Antivirus in configure ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.0.2 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords: difficultyBeginner, easyHack, skillScript, topicCleanup
Depends on:
Blocks: Installer
  Show dependency treegraph
 
Reported: 2014-10-01 11:44 UTC by Michael Meeks
Modified: 2020-02-12 08:43 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2014-10-01 11:44:39 UTC
Various developers have been bitten hard by lame windows AntiVirus products busting their builds. Unfortunately this is something easy enough to miss in the setup instructions (it seems) and wastes a huge amount of time. cf. the developer mailing list archives.

It'd be great to have configure.ac detect and -noisily- warn at the end of its run if you have AV installed and/or enabled.

Some (perhaps) useful code here:

http://stackoverflow.com/questions/1331887/detect-antivirus-on-windows-using-c-sharp

with pointers to that.

Thanks !
Comment 1 esnible 2015-03-04 21:10:22 UTC
The antivirus problem also exists on Mac OSX with Symantec Endpoint Protection.  (The Wiki only documents the problem for Windows users).

https://wiki.documentfoundation.org/Development/BuildingOnWindows#Symantec_Endpoint_Security_breaking_the_build

I was unable to get the correct directories excluded so I have taken to turning off Endpoint Protection during the build.  It would be of value to have instructions for some kind of argument to make or variable I could export to skip the tests that trigger Symantec Endpoint Protection when building.
Comment 2 Robinson Tryon (qubit) 2015-12-14 06:54:18 UTC Comment hidden (obsolete)
Comment 3 Robinson Tryon (qubit) 2016-02-18 14:52:19 UTC Comment hidden (obsolete)
Comment 4 Michel Thomas 2020-01-30 18:36:50 UTC
I'm going to try and attempt this.
Comment 5 Michel Thomas 2020-01-30 18:38:06 UTC
I trust this issue is still relevant?
Comment 6 Buovjaga 2020-01-30 18:57:26 UTC
(In reply to Michel Thomas from comment #5)
> I trust this issue is still relevant?

Yes.
Comment 7 Michel Thomas 2020-02-01 07:18:13 UTC
Okay I'm almost done. So basically my solution involves a Win32 Console application that uses a WMI query to get information regarding the Antivirus software installed on the system , namely the displayName and productState fields. So for each active Antivirus on the system a seperate MessageBox is displayed warning the user. This program is called from the configure.ac file and its exit code determines the next course of action. Do I have to insert my code(that calls the Win32 Console App and queries its exit code) at any specific point in configure.ac? Is it okay if I just append it?
Comment 8 Michel Thomas 2020-02-01 12:40:17 UTC
Alright , I've pushed the patch to gerrit.
Comment 9 Buovjaga 2020-02-01 14:54:22 UTC
(In reply to Michel Thomas from comment #8)
> Alright , I've pushed the patch to gerrit.

https://gerrit.libreoffice.org/c/core/+/87806
Comment 10 Commit Notification 2020-02-08 05:18:15 UTC
Michel Thomas committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c16969b9bc73fdd77e763299d6aea7b614e203e2

tdf#84553 Detect and warn of Windows Antivirus.

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-02-10 04:10:30 UTC
Michel Thomas committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a570a6b122125e88629fde990306f525c561284c

tdf#84553 Detection of antivirus exclusion, EICAR test.

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-02-12 08:14:55 UTC
Michel Thomas committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8d8f62852a64bd2fcae47a9499406d9167aebf83

tdf#84553 Correctly handle failures while getting a WMI Object.

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.